[ekiga] Update autogen.sh
- From: Eugen Dedu <ededu src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [ekiga] Update autogen.sh
- Date: Mon, 19 Sep 2016 18:41:27 +0000 (UTC)
commit cd0c8828952495e905c11b29f4b44c9f7cbe0925
Author: Eugen Dedu <eugen dedu univ-fcomte fr>
Date: Mon Sep 19 20:40:11 2016 +0200
Update autogen.sh
Does not depend on gnome-autogen.sh anymore. It is simpler. See
https://wiki.gnome.org/Projects/GnomeCommon/Migration for more
information.
autogen.sh | 69 ++++++++++++++++++++++++++---------------------------------
1 files changed, 30 insertions(+), 39 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 1d0ea87..e8dbf05 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,49 +1,40 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+olddir=$(pwd)
-REQUIRED_AUTOMAKE_VERSION=1.8
+cd $srcdir
-PKG_NAME="ekiga"
-
-(test -f $srcdir/configure.ac \
- && test -f $srcdir/autogen.sh \
- && test -d $srcdir) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level $PKG_NAME directory"
- exit 1
+(test -f configure.ac) || {
+ echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+ exit 1
}
-DIE=0
-
-
-# This is a bit complicated here since we can't use gnome-config yet.
-# It'll be easier after switching to pkg-config since we can then
-# use pkg-config to find the gnome-autogen.sh script.
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
-gnome_autogen=
-gnome_datadir=
-
-ifs_save="$IFS"; IFS=":"
-for dir in $PATH ; do
- test -z "$dir" && dir=.
- if test -f $dir/gnome-autogen.sh ; then
- gnome_autogen="$dir/gnome-autogen.sh"
- gnome_datadir=`echo $dir | sed -e 's,/bin$,/share,'`
- break
- fi
-done
-IFS="$ifs_save"
-
-if test -z "$gnome_autogen" ; then
- echo "You need to install the gnome-common module and make"
- echo "sure the gnome-autogen.sh script is in your \$PATH."
- exit 1
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
fi
-# FreeBSD ports needs -I /usr/local/share/aclocal, and only this
-test -d /usr/local/share/aclocal && ACLOCAL_DIR="-I /usr/local/share/aclocal"
-test -d /usr/share/aclocal && ACLOCAL_DIR="-I /usr/share/aclocal"
-ACLOCAL_FLAGS="$ACLOCAL_FLAGS $ACLOCAL_DIR" GNOME_DATADIR="$gnome_datadir" USE_GNOME2_MACROS=1 .
$gnome_autogen
+aclocal --install || exit 1
+#glib-gettextize --force --copy || exit 1
+#gtkdocize --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
+
+ if [ "$1" = "--help" ]; then exit 0 else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]